### Signal

# GtkSource View::push-snippet

#### Declaration

    void
    push_snippet (
      GtkSourceView* self,
      GtkSourceSnippet* snippet,
      const GtkTextIter* location,
      gpointer user_data
    )

#### Description [src]

The signal is emitted to insert a new snippet into the view.

If another snippet was active, it will be paused until all focus positions of `snippet` have been exhausted.

`location` will be updated to point at the end of the snippet.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`snippet`

  Type: `GtkSourceSnippet`

  A `GtkSourceSnippet`.

  The data is owned by the caller of the function.

`location`

  Type: `GtkTextIter`

  A `GtkTextIter`.

  The argument will be modified by the function.
  The caller of the function takes ownership of the returned data, and is responsible for freeing it.